<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="adevintaasa-2021-12-31.xsd#adevintaasa_OtherEquity" xlink:label="adevintaasa_OtherEquity" />
    <loc xlink:type="locator" xlink:href="adevintaasa-2021-12-31.xsd#adevintaasa_NetCashFlowBeforeFinancingActivities" xlink:label="adevintaasa_NetCashFlowBeforeFinancingActivities" />
    <loc xlink:type="locator" xlink:href="adevintaasa-2021-12-31.xsd#adevintaasa_AdjustmentsForOtherNonCashItemsAndChangesInWorkingCapitalAndProvisions" xlink:label="adevintaasa_AdjustmentsForOtherNonCashItemsAndChangesInWorkingCapitalAndProvisions" />
    <loc xlink:type="locator" xlink:href="adevintaasa-2021-12-31.xsd#adevintaasa_PaidInEquity" xlink:label="adevintaasa_PaidInEquity" />
    <loc xlink:type="locator" xlink:href="adevintaasa-2021-12-31.xsd#adevintaasa_CostOfHedgingTransferredToTheCarryingAmountOfGoodwillAcquiredInABusinessCombination" xlink:label="adevintaasa_CostOfHedgingTransferredToTheCarryingAmountOfGoodwillAcquiredInABusinessCombination" />
    <loc xlink:type="locator" xlink:href="adevintaasa-2021-12-31.xsd#adevintaasa_DevelopmentAndPurchaseOfIntangibleAssetsAndPropertyPlantEquipment" xlink:label="adevintaasa_DevelopmentAndPurchaseOfIntangibleAssetsAndPropertyPlantEquipment" />
    <loc xlink:type="locator" xlink:href="adevintaasa-2021-12-31.xsd#adevintaasa_GrossOperatingProfitLoss" xlink:label="adevintaasa_GrossOperatingProfitLoss" />
    <loc xlink:type="locator" xlink:href="adevintaasa-2021-12-31.xsd#adevintaasa_ProfitLossBeforeTaxesFromContinuingOperations" xlink:label="adevintaasa_ProfitLossBeforeTaxesFromContinuingOperations" />
    <loc xlink:type="locator" xlink:href="adevintaasa-2021-12-31.xsd#adevintaasa_CapitalIncrease" xlink:label="adevintaasa_CapitalIncrease" />
    <loc xlink:type="locator" xlink:href="adevintaasa-2021-12-31.xsd#adevintaasa_ProceedsFromSaleOfIntangibleAssetsAndPropertyPlantEquipment" xlink:label="adevintaasa_ProceedsFromSaleOfIntangibleAssetsAndPropertyPlantEquipment" />
    <loc xlink:type="locator" xlink:href="adevintaasa-2021-12-31.xsd#adevintaasa_ProfitLossBeforeTaxesFromDiscontinuedOperations" xlink:label="adevintaasa_ProfitLossBeforeTaxesFromDiscontinuedOperations" />
    <loc xlink:type="locator" xlink:href="adevintaasa-2021-12-31.xsd#adevintaasa_NetGainLossOnCashFlowHedgesThatWillNotBeReclassifiedToProfitOrLoss" xlink:label="adevintaasa_NetGainLossOnCashFlowHedgesThatWillNotBeReclassifiedToProfitOrLoss" />
    <labelArc xlink:type="arc" xlink:from="adevintaasa_GrossOperatingProfitLoss" xlink:to="label_adevintaasa_adevintaasaGrossOperatingProfitLoss_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adevintaasa_ProfitLossBeforeTaxesFromContinuingOperations" xlink:to="label_adevintaasa_adevintaasaProfitLossBeforeTaxesFromContinuingOperations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adevintaasa_NetGainLossOnCashFlowHedgesThatWillNotBeReclassifiedToProfitOrLoss" xlink:to="label_adevintaasa_adevintaasaNetGainLossOnCashFlowHedgesThatWillNotBeReclassifiedToProfitOrLoss_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adevintaasa_PaidInEquity" xlink:to="label_adevintaasa_adevintaasaPaidInEquity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adevintaasa_OtherEquity" xlink:to="label_adevintaasa_adevintaasaOtherEquity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adevintaasa_ProfitLossBeforeTaxesFromDiscontinuedOperations" xlink:to="label_adevintaasa_adevintaasaProfitLossBeforeTaxesFromDiscontinuedOperations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adevintaasa_AdjustmentsForOtherNonCashItemsAndChangesInWorkingCapitalAndProvisions" xlink:to="label_adevintaasa_adevintaasaAdjustmentsForOtherNonCashItemsAndChangesInWorkingCapitalAndProvisions_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adevintaasa_DevelopmentAndPurchaseOfIntangibleAssetsAndPropertyPlantEquipment" xlink:to="label_adevintaasa_adevintaasaDevelopmentAndPurchaseOfIntangibleAssetsAndPropertyPlantEquipment_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adevintaasa_ProceedsFromSaleOfIntangibleAssetsAndPropertyPlantEquipment" xlink:to="label_adevintaasa_adevintaasaProceedsFromSaleOfIntangibleAssetsAndPropertyPlantEquipment_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adevintaasa_NetCashFlowBeforeFinancingActivities" xlink:to="label_adevintaasa_adevintaasaNetCashFlowBeforeFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adevintaasa_CapitalIncrease" xlink:to="label_adevintaasa_adevintaasaCapitalIncrease_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adevintaasa_CostOfHedgingTransferredToTheCarryingAmountOfGoodwillAcquiredInABusinessCombination" xlink:to="label_adevintaasa_adevintaasaCostOfHedgingTransferredToTheCarryingAmountOfGoodwillAcquiredInABusinessCombination_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_adevintaasa_adevintaasaGrossOperatingProfitLoss_Standard" id="adevintaasa_adevintaasaGrossOperatingProfitLoss_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Gross operating profit (loss)</label>
    <label xlink:label="label_adevintaasa_adevintaasaProfitLossBeforeTaxesFromContinuingOperations_Standard" id="adevintaasa_adevintaasaProfitLossBeforeTaxesFromContinuingOperations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit (loss) before taxes from continuing operations</label>
    <label xlink:label="label_adevintaasa_adevintaasaNetGainLossOnCashFlowHedgesThatWillNotBeReclassifiedToProfitOrLoss_Standard" id="adevintaasa_adevintaasaNetGainLossOnCashFlowHedgesThatWillNotBeReclassifiedToProfitOrLoss_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net gain / (loss) on cash flow hedges, that will not be reclassified to profit or loss</label>
    <label xlink:label="label_adevintaasa_adevintaasaPaidInEquity_Standard" id="adevintaasa_adevintaasaPaidInEquity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Paid-in equity</label>
    <label xlink:label="label_adevintaasa_adevintaasaOtherEquity_Standard" id="adevintaasa_adevintaasaOtherEquity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other equity</label>
    <label xlink:label="label_adevintaasa_adevintaasaProfitLossBeforeTaxesFromDiscontinuedOperations_Standard" id="adevintaasa_adevintaasaProfitLossBeforeTaxesFromDiscontinuedOperations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit (loss) before taxes from discontinued operations</label>
    <label xlink:label="label_adevintaasa_adevintaasaAdjustmentsForOtherNonCashItemsAndChangesInWorkingCapitalAndProvisions_Standard" id="adevintaasa_adevintaasaAdjustmentsForOtherNonCashItemsAndChangesInWorkingCapitalAndProvisions_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for other non-cash items and changes in working capital and provisions</label>
    <label xlink:label="label_adevintaasa_adevintaasaDevelopmentAndPurchaseOfIntangibleAssetsAndPropertyPlantEquipment_Standard" id="adevintaasa_adevintaasaDevelopmentAndPurchaseOfIntangibleAssetsAndPropertyPlantEquipment_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Development and purchase of intangible assets and property, plant &amp; equipment</label>
    <label xlink:label="label_adevintaasa_adevintaasaProceedsFromSaleOfIntangibleAssetsAndPropertyPlantEquipment_Standard" id="adevintaasa_adevintaasaProceedsFromSaleOfIntangibleAssetsAndPropertyPlantEquipment_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds from sale of intangible assets and property, plant &amp; equipment</label>
    <label xlink:label="label_adevintaasa_adevintaasaNetCashFlowBeforeFinancingActivities_Standard" id="adevintaasa_adevintaasaNetCashFlowBeforeFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net cash flow before financing activities</label>
    <label xlink:label="label_adevintaasa_adevintaasaCapitalIncrease_Standard" id="adevintaasa_adevintaasaCapitalIncrease_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Capital increase</label>
    <label xlink:label="label_adevintaasa_adevintaasaCostOfHedgingTransferredToTheCarryingAmountOfGoodwillAcquiredInABusinessCombination_Standard" id="adevintaasa_adevintaasaCostOfHedgingTransferredToTheCarryingAmountOfGoodwillAcquiredInABusinessCombination_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cost of hedging transferred to the carrying amount of goodwill acquired in a business combination</label>
  </labelLink>
</linkbase>